@use '../../../global/styles/breakpoint';
@use '../../../global/styles/grid';
@use '../../../global/styles/border';

:host {
	--digi--page-footer--columns: 1;
}

.digi-page-footer {
	display: block;
	padding-block: var(--digi--global--spacing--largest-4);
	border-block-start: var(--digi--border-width--secondary) solid var(--digi--color--border--secondary);
	background: var(--digi--color--background--tertiary);
}

.digi-page-footer__section {
	grid-column: 1/-1;

	@include grid.even-columns(var(--digi--page-footer--columns), var(--digi--responsive-grid-gutter));
}

.digi-page-footer__section--top {
	@include breakpoint.medium {
		--digi--page-footer--columns: 2;
	}

	@include breakpoint.large {
		--digi--page-footer--columns: 3;
	}

	@include breakpoint.extra-large {
		--digi--page-footer--columns: 4;
	}

	padding-block-end: var(--digi--responsive-grid-gutter);
	border-block-end: border.$separator-on-contrast;
}

.digi-page-footer__section--bottom {
	@include breakpoint.large {
		--digi--page-footer--columns: 4;
	}

	@include breakpoint.extra-large {
		--digi--page-footer--columns: 2;
	}
}

.digi-page-footer__top-first {
	@include breakpoint.extra-large {
		grid-column: span calc(var(--digi--page-footer--columns) / 2);
	}
}

.digi-page-footer__bottom-end {
	@include breakpoint.below-large {
		--digi--list-link--direction--override: column;
	}

	@include breakpoint.large {
		justify-self: end;
	}
}

.digi-page-footer__logo {
	// width: calc(var(--digi--global--spacing--smallest) * 18);

	@include breakpoint.below-large {
		padding-inline-start: var(--digi--grid-gutter--smaller);
	}
}
